Get top moving symbols
curl --request GET \
--url https://gateway.amana.io/topmovers \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.amana.io/topmovers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.amana.io/topmovers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"logo": "<string>",
"friendlyName": "<string>",
"percent": 123,
"chg": 123,
"price": 123,
"digits": 123,
"close": 123,
"delayed": true,
"leveraged": true,
"sharia": true
}
]watchlists
Get top moving symbols
Retrieves a list of top moving trading symbols based on market activity
GET
/
topmovers
Get top moving symbols
Authorizations
JWT token obtained from authentication endpoints
Query Parameters
Required range:
1 <= x <= 100Sector filter. comma separated numbers
Industry filter. comma separated numbers
Response
200 - application/json
Default Response
Unique identifier for the symbol
URL to symbol logo/image
User friendly name of the symbol
Percentage change
Absolute change
Current price
Number of decimal places for the price
Previous closing price
Indicates if the data is delayed
Indicates if the symbol is leveraged
Indicates if the symbol is Sharia compliant
Last modified on October 7, 2026
